{
    "packages": [
        {
            "name": "bacon/bacon-qr-code",
            "version": "2.0.8",
            "version_normalized": "2.0.8.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Bacon/BaconQrCode.git",
                "reference": "8674e51bb65af933a5ffaf1c308a660387c35c22"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Bacon/BaconQrCode/zipball/8674e51bb65af933a5ffaf1c308a660387c35c22",
                "reference": "8674e51bb65af933a5ffaf1c308a660387c35c22",
                "shasum": ""
            },
            "require": {
                "dasprid/enum": "^1.0.3",
                "ext-iconv": "*",
                "php": "^7.1 || ^8.0"
            },
            "require-dev": {
                "phly/keep-a-changelog": "^2.1",
                "phpunit/phpunit": "^7 | ^8 | ^9",
                "spatie/phpunit-snapshot-assertions": "^4.2.9",
                "squizlabs/php_codesniffer": "^3.4"
            },
            "suggest": {
                "ext-imagick": "to generate QR code images"
            },
            "time": "2022-12-07T17:46:57+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "BaconQrCode\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-2-Clause"
            ],
            "authors": [
                {
                    "name": "Ben Scholzen 'DASPRiD'",
                    "email": "mail@dasprids.de",
                    "homepage": "https://dasprids.de/",
                    "role": "Developer"
                }
            ],
            "description": "BaconQrCode is a QR code generator for PHP.",
            "homepage": "https://github.com/Bacon/BaconQrCode",
            "support": {
                "issues": "https://github.com/Bacon/BaconQrCode/issues",
                "source": "https://github.com/Bacon/BaconQrCode/tree/2.0.8"
            },
            "install-path": "../bacon/bacon-qr-code"
        },
        {
            "name": "cccyun/alipay-sdk",
            "version": "1.9",
            "version_normalized": "1.9.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/netcccyun/alipay-sdk-php.git",
                "reference": "9ff7752f83a437e6440462fc760ee4fe1663b639"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/netcccyun/alipay-sdk-php/zipball/9ff7752f83a437e6440462fc760ee4fe1663b639",
                "reference": "9ff7752f83a437e6440462fc760ee4fe1663b639",
                "shasum": ""
            },
            "require": {
                "ext-bcmath": "*",
                "ext-curl": "*",
                "ext-json": "*",
                "ext-mbstring": "*",
                "ext-openssl": "*",
                "php": ">=7.1"
            },
            "time": "2025-03-05T09:24:30+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Alipay\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "caihong",
                    "email": "admin@cccyun.cn"
                }
            ],
            "description": "支付宝开放平台第三方 PHP SDK，基于官方最新版本，支持公钥和公钥证书2种模式。",
            "keywords": [
                "alipay",
                "支付宝"
            ],
            "support": {
                "issues": "https://github.com/netcccyun/alipay-sdk-php/issues",
                "source": "https://github.com/netcccyun/alipay-sdk-php/tree/1.9"
            },
            "install-path": "../cccyun/alipay-sdk"
        },
        {
            "name": "cccyun/qqpay-sdk",
            "version": "1.2",
            "version_normalized": "1.2.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/netcccyun/qqpay-sdk-php.git",
                "reference": "873e1d9f06f3cecdbad165fa921096437cc8bcbe"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/netcccyun/qqpay-sdk-php/zipball/873e1d9f06f3cecdbad165fa921096437cc8bcbe",
                "reference": "873e1d9f06f3cecdbad165fa921096437cc8bcbe",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1"
            },
            "time": "2023-04-02T02:46:22+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "QQPay\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "caihong",
                    "email": "admin@cccyun.cn"
                }
            ],
            "description": "QQ钱包支付第三方 PHP SDK，基于官方最新版本。",
            "keywords": [
                "QQ支付",
                "qpay",
                "qqpay"
            ],
            "support": {
                "issues": "https://github.com/netcccyun/qqpay-sdk-php/issues",
                "source": "https://github.com/netcccyun/qqpay-sdk-php/tree/1.2"
            },
            "install-path": "../cccyun/qqpay-sdk"
        },
        {
            "name": "cccyun/wechatpay-sdk",
            "version": "1.10",
            "version_normalized": "1.10.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/netcccyun/wechatpay-sdk-php.git",
                "reference": "4b514733aafd67fb2842a3f4934be3ac6aaf2a15"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/netcccyun/wechatpay-sdk-php/zipball/4b514733aafd67fb2842a3f4934be3ac6aaf2a15",
                "reference": "4b514733aafd67fb2842a3f4934be3ac6aaf2a15",
                "shasum": ""
            },
            "require": {
                "ext-curl": "*",
                "ext-json": "*",
                "ext-libxml": "*",
                "ext-openssl": "*",
                "ext-simplexml": "*",
                "php": ">=7.1"
            },
            "time": "2025-05-06T03:26:59+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "WeChatPay\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "caihong",
                    "email": "admin@cccyun.cn"
                }
            ],
            "description": "微信支付第三方 PHP SDK，基于官方最新版本，包含V2和V3两种接口。",
            "keywords": [
                "Wxpay",
                "wechat",
                "微信支付"
            ],
            "support": {
                "issues": "https://github.com/netcccyun/wechatpay-sdk-php/issues",
                "source": "https://github.com/netcccyun/wechatpay-sdk-php/tree/1.10"
            },
            "install-path": "../cccyun/wechatpay-sdk"
        },
        {
            "name": "dasprid/enum",
            "version": "1.0.6",
            "version_normalized": "1.0.6.0",
            "source": {
                "type": "git",
                "url": "https://github.com/DASPRiD/Enum.git",
                "reference": "8dfd07c6d2cf31c8da90c53b83c026c7696dda90"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/DASPRiD/Enum/zipball/8dfd07c6d2cf31c8da90c53b83c026c7696dda90",
                "reference": "8dfd07c6d2cf31c8da90c53b83c026c7696dda90",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1 <9.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^7 || ^8 || ^9 || ^10 || ^11",
                "squizlabs/php_codesniffer": "*"
            },
            "time": "2024-08-09T14:30:48+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "DASPRiD\\Enum\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-2-Clause"
            ],
            "authors": [
                {
                    "name": "Ben Scholzen 'DASPRiD'",
                    "email": "mail@dasprids.de",
                    "homepage": "https://dasprids.de/",
                    "role": "Developer"
                }
            ],
            "description": "PHP 7.1 enum implementation",
            "keywords": [
                "enum",
                "map"
            ],
            "support": {
                "issues": "https://github.com/DASPRiD/Enum/issues",
                "source": "https://github.com/DASPRiD/Enum/tree/1.0.6"
            },
            "install-path": "../dasprid/enum"
        },
        {
            "name": "easy-task/easy-task",
            "version": "V2.4.5",
            "version_normalized": "2.4.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thinker-gao/easy-task.git",
                "reference": "3b5245ebee8624cdaa0b609547e9cbc01dffbd0b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thinker-gao/easy-task/zipball/3b5245ebee8624cdaa0b609547e9cbc01dffbd0b",
                "reference": "3b5245ebee8624cdaa0b609547e9cbc01dffbd0b",
                "shasum": ""
            },
            "require": {
                "ext-curl": "*",
                "ext-json": "*",
                "ext-mbstring": "*",
                "php": ">=5.4"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2022-07-31T08:10:56+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "EasyTask\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "GaoJiuFeng",
                    "email": "392223903@qq.com"
                }
            ],
            "description": "easy-task, simple timer, timing task",
            "keywords": [
                "easy-task"
            ],
            "support": {
                "issues": "https://github.com/thinker-gao/easy-task/issues",
                "source": "https://github.com/thinker-gao/easy-task/tree/v1.0"
            },
            "install-path": "../easy-task/easy-task"
        },
        {
            "name": "endroid/qr-code",
            "version": "4.8.2",
            "version_normalized": "4.8.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/endroid/qr-code.git",
                "reference": "2436c2333a3931c95e2b96eb82f16f53143d6bba"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/endroid/qr-code/zipball/2436c2333a3931c95e2b96eb82f16f53143d6bba",
                "reference": "2436c2333a3931c95e2b96eb82f16f53143d6bba",
                "shasum": ""
            },
            "require": {
                "bacon/bacon-qr-code": "^2.0.5",
                "php": "^8.0"
            },
            "conflict": {
                "khanamiryan/qrcode-detector-decoder": "^1.0.6"
            },
            "require-dev": {
                "endroid/quality": "dev-master",
                "ext-gd": "*",
                "khanamiryan/qrcode-detector-decoder": "^1.0.4||^2.0.2",
                "setasign/fpdf": "^1.8.2"
            },
            "suggest": {
                "ext-gd": "Enables you to write PNG images",
                "khanamiryan/qrcode-detector-decoder": "Enables you to use the image validator",
                "roave/security-advisories": "Makes sure package versions with known security issues are not installed",
                "setasign/fpdf": "Enables you to use the PDF writer"
            },
            "time": "2023-03-30T18:46:02+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "4.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Endroid\\QrCode\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jeroen van den Enden",
                    "email": "info@endroid.nl"
                }
            ],
            "description": "Endroid QR Code",
            "homepage": "https://github.com/endroid/qr-code",
            "keywords": [
                "code",
                "endroid",
                "php",
                "qr",
                "qrcode"
            ],
            "support": {
                "issues": "https://github.com/endroid/qr-code/issues",
                "source": "https://github.com/endroid/qr-code/tree/4.8.2"
            },
            "funding": [
                {
                    "url": "https://github.com/endroid",
                    "type": "github"
                }
            ],
            "install-path": "../endroid/qr-code"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "7.9.2",
            "version_normalized": "7.9.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/guzzle.git",
                "reference": "d281ed313b989f213357e3be1a179f02196ac99b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/guzzle/zipball/d281ed313b989f213357e3be1a179f02196ac99b",
                "reference": "d281ed313b989f213357e3be1a179f02196ac99b",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.5.3 || ^2.0.3",
                "guzzlehttp/psr7": "^2.7.0",
                "php": "^7.2.5 || ^8.0",
                "psr/http-client": "^1.0",
                "symfony/deprecation-contracts": "^2.2 || ^3.0"
            },
            "provide": {
                "psr/http-client-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "ext-curl": "*",
                "guzzle/client-integration-tests": "3.0.2",
                "php-http/message-factory": "^1.1",
                "phpunit/phpunit": "^8.5.39 || ^9.6.20",
                "psr/log": "^1.1 || ^2.0 || ^3.0"
            },
            "suggest": {
                "ext-curl": "Required for CURL handler support",
                "ext-intl": "Required for Internationalized Domain Name (IDN) support",
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2024-07-24T11:22:20+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "psr-18",
                "psr-7",
                "rest",
                "web service"
            ],
            "support": {
                "issues": "https://github.com/guzzle/guzzle/issues",
                "source": "https://github.com/guzzle/guzzle/tree/7.9.2"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/guzzle",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "2.0.4",
            "version_normalized": "2.0.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/promises.git",
                "reference": "f9c436286ab2892c7db7be8c8da4ef61ccf7b455"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/promises/zipball/f9c436286ab2892c7db7be8c8da4ef61ccf7b455",
                "reference": "f9c436286ab2892c7db7be8c8da4ef61ccf7b455",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "phpunit/phpunit": "^8.5.39 || ^9.6.20"
            },
            "time": "2024-10-17T10:06:22+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/guzzle/promises/issues",
                "source": "https://github.com/guzzle/promises/tree/2.0.4"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/promises",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "2.7.0",
            "version_normalized": "2.7.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/guzzle/psr7.git",
                "reference": "a70f5c95fb43bc83f07c9c948baa0dc1829bf201"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/guzzle/psr7/zipball/a70f5c95fb43bc83f07c9c948baa0dc1829bf201",
                "reference": "a70f5c95fb43bc83f07c9c948baa0dc1829bf201",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.1 || ^2.0",
                "ralouphie/getallheaders": "^3.0"
            },
            "provide": {
                "psr/http-factory-implementation": "1.0",
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.2",
                "http-interop/http-factory-tests": "0.9.0",
                "phpunit/phpunit": "^8.5.39 || ^9.6.20"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2024-07-18T11:15:46+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "support": {
                "issues": "https://github.com/guzzle/psr7/issues",
                "source": "https://github.com/guzzle/psr7/tree/2.7.0"
            },
            "funding": [
                {
                    "url": "https://github.com/GrahamCampbell",
                    "type": "github"
                },
                {
                    "url": "https://github.com/Nyholm",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/guzzlehttp/psr7",
                    "type": "tidelift"
                }
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "intervention/image",
            "version": "2.7.2",
            "version_normalized": "2.7.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/Intervention/image.git",
                "reference": "04be355f8d6734c826045d02a1079ad658322dad"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/Intervention/image/zipball/04be355f8d6734c826045d02a1079ad658322dad",
                "reference": "04be355f8d6734c826045d02a1079ad658322dad",
                "shasum": ""
            },
            "require": {
                "ext-fileinfo": "*",
                "guzzlehttp/psr7": "~1.1 || ^2.0",
                "php": ">=5.4.0"
            },
            "require-dev": {
                "mockery/mockery": "~0.9.2",
                "phpunit/phpunit": "^4.8 || ^5.7 || ^7.5.15"
            },
            "suggest": {
                "ext-gd": "to use GD library based image processing.",
                "ext-imagick": "to use Imagick based image processing.",
                "intervention/imagecache": "Caching extension for the Intervention Image library"
            },
            "time": "2022-05-21T17:30:32+00:00",
            "type": "library",
            "extra": {
                "laravel": {
                    "aliases": {
                        "Image": "Intervention\\Image\\Facades\\Image"
                    },
                    "providers": [
                        "Intervention\\Image\\ImageServiceProvider"
                    ]
                },
                "branch-alias": {
                    "dev-master": "2.4-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Intervention\\Image\\": "src/Intervention/Image"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Oliver Vogel",
                    "email": "oliver@intervention.io",
                    "homepage": "https://intervention.io/"
                }
            ],
            "description": "Image handling and manipulation library with support for Laravel integration",
            "homepage": "http://image.intervention.io/",
            "keywords": [
                "gd",
                "image",
                "imagick",
                "laravel",
                "thumbnail",
                "watermark"
            ],
            "support": {
                "issues": "https://github.com/Intervention/image/issues",
                "source": "https://github.com/Intervention/image/tree/2.7.2"
            },
            "funding": [
                {
                    "url": "https://paypal.me/interventionio",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/Intervention",
                    "type": "github"
                }
            ],
            "install-path": "../intervention/image"
        },
        {
            "name": "khanamiryan/qrcode-detector-decoder",
            "version": "1.0.5.2",
            "version_normalized": "1.0.5.2",
            "source": {
                "type": "git",
                "url": "https://github.com/khanamiryan/php-qrcode-detector-decoder.git",
                "reference": "04fdd58d86a387065f707dc6d3cc304c719910c1"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/khanamiryan/php-qrcode-detector-decoder/zipball/04fdd58d86a387065f707dc6d3cc304c719910c1",
                "reference": "04fdd58d86a387065f707dc6d3cc304c719910c1",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "phpunit/phpunit": "^5.7 | ^7.5 | ^8.0 | ^9.0"
            },
            "time": "2021-07-13T18:46:38+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "lib/Common/customFunctions.php"
                ],
                "psr-4": {
                    "Zxing\\": "lib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT",
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "Ashot Khanamiryan",
                    "email": "a.khanamiryan@gmail.com",
                    "homepage": "https://github.com/khanamiryan",
                    "role": "Developer"
                }
            ],
            "description": "QR code decoder / reader",
            "homepage": "https://github.com/khanamiryan/php-qrcode-detector-decoder/",
            "keywords": [
                "barcode",
                "qr",
                "zxing"
            ],
            "support": {
                "issues": "https://github.com/khanamiryan/php-qrcode-detector-decoder/issues",
                "source": "https://github.com/khanamiryan/php-qrcode-detector-decoder/tree/1.0.5.2"
            },
            "install-path": "../khanamiryan/qrcode-detector-decoder"
        },
        {
            "name": "league/flysystem",
            "version": "1.1.10",
            "version_normalized": "1.1.10.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/flysystem.git",
                "reference": "3239285c825c152bcc315fe0e87d6b55f5972ed1"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/flysystem/zipball/3239285c825c152bcc315fe0e87d6b55f5972ed1",
                "reference": "3239285c825c152bcc315fe0e87d6b55f5972ed1",
                "shasum": ""
            },
            "require": {
                "ext-fileinfo": "*",
                "league/mime-type-detection": "^1.3",
                "php": "^7.2.5 || ^8.0"
            },
            "conflict": {
                "league/flysystem-sftp": "<1.0.6"
            },
            "require-dev": {
                "phpspec/prophecy": "^1.11.1",
                "phpunit/phpunit": "^8.5.8"
            },
            "suggest": {
                "ext-ftp": "Allows you to use FTP server storage",
                "ext-openssl": "Allows you to use FTPS server storage",
                "league/flysystem-aws-s3-v2": "Allows you to use S3 storage with AWS SDK v2",
                "league/flysystem-aws-s3-v3": "Allows you to use S3 storage with AWS SDK v3",
                "league/flysystem-azure": "Allows you to use Windows Azure Blob storage",
                "league/flysystem-cached-adapter": "Flysystem adapter decorator for metadata caching",
                "league/flysystem-eventable-filesystem": "Allows you to use EventableFilesystem",
                "league/flysystem-rackspace": "Allows you to use Rackspace Cloud Files",
                "league/flysystem-sftp": "Allows you to use SFTP server storage via phpseclib",
                "league/flysystem-webdav": "Allows you to use WebDAV storage",
                "league/flysystem-ziparchive": "Allows you to use ZipArchive adapter",
                "spatie/flysystem-dropbox": "Allows you to use Dropbox storage",
                "srmklive/flysystem-dropbox-v2": "Allows you to use Dropbox storage for PHP 5 applications"
            },
            "time": "2022-10-04T09:16:37+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\Flysystem\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Frank de Jonge",
                    "email": "info@frenky.net"
                }
            ],
            "description": "Filesystem abstraction: Many filesystems, one API.",
            "keywords": [
                "Cloud Files",
                "WebDAV",
                "abstraction",
                "aws",
                "cloud",
                "copy.com",
                "dropbox",
                "file systems",
                "files",
                "filesystem",
                "filesystems",
                "ftp",
                "rackspace",
                "remote",
                "s3",
                "sftp",
                "storage"
            ],
            "support": {
                "issues": "https://github.com/thephpleague/flysystem/issues",
                "source": "https://github.com/thephpleague/flysystem/tree/1.1.10"
            },
            "funding": [
                {
                    "url": "https://offset.earth/frankdejonge",
                    "type": "other"
                }
            ],
            "install-path": "../league/flysystem"
        },
        {
            "name": "league/flysystem-cached-adapter",
            "version": "1.1.0",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/flysystem-cached-adapter.git",
                "reference": "d1925efb2207ac4be3ad0c40b8277175f99ffaff"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/flysystem-cached-adapter/zipball/d1925efb2207ac4be3ad0c40b8277175f99ffaff",
                "reference": "d1925efb2207ac4be3ad0c40b8277175f99ffaff",
                "shasum": ""
            },
            "require": {
                "league/flysystem": "~1.0",
                "psr/cache": "^1.0.0"
            },
            "require-dev": {
                "mockery/mockery": "~0.9",
                "phpspec/phpspec": "^3.4",
                "phpunit/phpunit": "^5.7",
                "predis/predis": "~1.0",
                "tedivm/stash": "~0.12"
            },
            "suggest": {
                "ext-phpredis": "Pure C implemented extension for PHP"
            },
            "time": "2020-07-25T15:56:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\Flysystem\\Cached\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "frankdejonge",
                    "email": "info@frenky.net"
                }
            ],
            "description": "An adapter decorator to enable meta-data caching.",
            "support": {
                "issues": "https://github.com/thephpleague/flysystem-cached-adapter/issues",
                "source": "https://github.com/thephpleague/flysystem-cached-adapter/tree/master"
            },
            "install-path": "../league/flysystem-cached-adapter"
        },
        {
            "name": "league/mime-type-detection",
            "version": "1.16.0",
            "version_normalized": "1.16.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/thephpleague/mime-type-detection.git",
                "reference": "2d6702ff215bf922936ccc1ad31007edc76451b9"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/thephpleague/mime-type-detection/zipball/2d6702ff215bf922936ccc1ad31007edc76451b9",
                "reference": "2d6702ff215bf922936ccc1ad31007edc76451b9",
                "shasum": ""
            },
            "require": {
                "ext-fileinfo": "*",
                "php": "^7.4 || ^8.0"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "^3.2",
                "phpstan/phpstan": "^0.12.68",
                "phpunit/phpunit": "^8.5.8 || ^9.3 || ^10.0"
            },
            "time": "2024-09-21T08:32:55+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "League\\MimeTypeDetection\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Frank de Jonge",
                    "email": "info@frankdejonge.nl"
                }
            ],
            "description": "Mime-type detection for Flysystem",
            "support": {
                "issues": "https://github.com/thephpleague/mime-type-detection/issues",
                "source": "https://github.com/thephpleague/mime-type-detection/tree/1.16.0"
            },
            "funding": [
                {
                    "url": "https://github.com/frankdejonge",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/league/flysystem",
                    "type": "tidelift"
                }
            ],
            "install-path": "../league/mime-type-detection"
        },
        {
            "name": "psr/cache",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/cache.git",
                "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/cache/zipball/d11b50ad223250cf17b86e38383413f5a6764bf8",
                "reference": "d11b50ad223250cf17b86e38383413f5a6764bf8",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3.0"
            },
            "time": "2016-08-06T20:24:11+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Cache\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for caching libraries",
            "keywords": [
                "cache",
                "psr",
                "psr-6"
            ],
            "support": {
                "source": "https://github.com/php-fig/cache/tree/master"
            },
            "install-path": "../psr/cache"
        },
        {
            "name": "psr/container",
            "version": "2.0.2",
            "version_normalized": "2.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/container.git",
                "reference": "c71ecc56dfe541dbd90c5360474fbc405f8d5963"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/container/zipball/c71ecc56dfe541dbd90c5360474fbc405f8d5963",
                "reference": "c71ecc56dfe541dbd90c5360474fbc405f8d5963",
                "shasum": ""
            },
            "require": {
                "php": ">=7.4.0"
            },
            "time": "2021-11-05T16:47:00+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "2.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Container\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common Container Interface (PHP FIG PSR-11)",
            "homepage": "https://github.com/php-fig/container",
            "keywords": [
                "PSR-11",
                "container",
                "container-interface",
                "container-interop",
                "psr"
            ],
            "support": {
                "issues": "https://github.com/php-fig/container/issues",
                "source": "https://github.com/php-fig/container/tree/2.0.2"
            },
            "install-path": "../psr/container"
        },
        {
            "name": "psr/http-client",
            "version": "1.0.3",
            "version_normalized": "1.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-client.git",
                "reference": "bb5906edc1c324c9a05aa0873d40117941e5fa90"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-client/zipball/bb5906edc1c324c9a05aa0873d40117941e5fa90",
                "reference": "bb5906edc1c324c9a05aa0873d40117941e5fa90",
                "shasum": ""
            },
            "require": {
                "php": "^7.0 || ^8.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2023-09-23T14:17:50+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Client\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP clients",
            "homepage": "https://github.com/php-fig/http-client",
            "keywords": [
                "http",
                "http-client",
                "psr",
                "psr-18"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-client"
            },
            "install-path": "../psr/http-client"
        },
        {
            "name": "psr/http-factory",
            "version": "1.1.0",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-factory.git",
                "reference": "2b4765fddfe3b508ac62f829e852b1501d3f6e8a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-factory/zipball/2b4765fddfe3b508ac62f829e852b1501d3f6e8a",
                "reference": "2b4765fddfe3b508ac62f829e852b1501d3f6e8a",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2024-04-15T12:06:14+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "PSR-17: Common interfaces for PSR-7 HTTP message factories",
            "keywords": [
                "factory",
                "http",
                "message",
                "psr",
                "psr-17",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-factory"
            },
            "install-path": "../psr/http-factory"
        },
        {
            "name": "psr/http-message",
            "version": "1.1",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "shasum": ""
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "time": "2023-04-04T09:50:52+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/1.1"
            },
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/log",
            "version": "3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/log.git",
                "reference": "f16e1d5863e37f8d8c2a01719f5b34baa2b714d3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/log/zipball/f16e1d5863e37f8d8c2a01719f5b34baa2b714d3",
                "reference": "f16e1d5863e37f8d8c2a01719f5b34baa2b714d3",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0"
            },
            "time": "2024-09-11T13:17:53+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "support": {
                "source": "https://github.com/php-fig/log/tree/3.0.2"
            },
            "install-path": "../psr/log"
        },
        {
            "name": "psr/simple-cache",
            "version": "3.0.0",
            "version_normalized": "3.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/simple-cache.git",
                "reference": "764e0b3939f5ca87cb904f570ef9be2d78a07865"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/simple-cache/zipball/764e0b3939f5ca87cb904f570ef9be2d78a07865",
                "reference": "764e0b3939f5ca87cb904f570ef9be2d78a07865",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0"
            },
            "time": "2021-10-29T13:26:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\SimpleCache\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for simple caching",
            "keywords": [
                "cache",
                "caching",
                "psr",
                "psr-16",
                "simple-cache"
            ],
            "support": {
                "source": "https://github.com/php-fig/simple-cache/tree/3.0.0"
            },
            "install-path": "../psr/simple-cache"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/ralouphie/getallheaders.git",
                "reference": "120b605dfeb996808c31b6477290a714d356e822"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/ralouphie/getallheaders/zipball/120b605dfeb996808c31b6477290a714d356e822",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "support": {
                "issues": "https://github.com/ralouphie/getallheaders/issues",
                "source": "https://github.com/ralouphie/getallheaders/tree/develop"
            },
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/deprecation-contracts.git",
                "reference": "26954b3d62a6c5fd0ea8a2a00c0353a14978d05c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/26954b3d62a6c5fd0ea8a2a00c0353a14978d05c",
                "reference": "26954b3d62a6c5fd0ea8a2a00c0353a14978d05c",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.2"
            },
            "time": "2022-01-02T09:55:41+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "3.0-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "support": {
                "source": "https://github.com/symfony/deprecation-contracts/tree/v3.0.2"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/deprecation-contracts"
        },
        {
            "name": "symfony/polyfill-iconv",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-iconv.git",
                "reference": "48becf00c920479ca2e910c22a5a39e5d47ca956"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-iconv/zipball/48becf00c920479ca2e910c22a5a39e5d47ca956",
                "reference": "48becf00c920479ca2e910c22a5a39e5d47ca956",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "provide": {
                "ext-iconv": "*"
            },
            "suggest": {
                "ext-iconv": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Iconv\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Iconv extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "iconv",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-iconv/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-iconv"
        },
        {
            "name": "symfony/polyfill-intl-grapheme",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-grapheme.git",
                "reference": "b9123926e3b7bc2f98c02ad54f6a4b02b91a8abe"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-grapheme/zipball/b9123926e3b7bc2f98c02ad54f6a4b02b91a8abe",
                "reference": "b9123926e3b7bc2f98c02ad54f6a4b02b91a8abe",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Grapheme\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's grapheme_* functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "grapheme",
                "intl",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-grapheme/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-grapheme"
        },
        {
            "name": "symfony/polyfill-intl-normalizer",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-intl-normalizer.git",
                "reference": "3833d7255cc303546435cb650316bff708a1c75c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-intl-normalizer/zipball/3833d7255cc303546435cb650316bff708a1c75c",
                "reference": "3833d7255cc303546435cb650316bff708a1c75c",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "suggest": {
                "ext-intl": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Intl\\Normalizer\\": ""
                },
                "classmap": [
                    "Resources/stubs"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for intl's Normalizer class and related functions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "intl",
                "normalizer",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-intl-normalizer/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-intl-normalizer"
        },
        {
            "name": "symfony/polyfill-mbstring",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-mbstring.git",
                "reference": "85181ba99b2345b0ef10ce42ecac37612d9fd341"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/85181ba99b2345b0ef10ce42ecac37612d9fd341",
                "reference": "85181ba99b2345b0ef10ce42ecac37612d9fd341",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "provide": {
                "ext-mbstring": "*"
            },
            "suggest": {
                "ext-mbstring": "For best performance"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "library",
            "extra": {
                "thanks": {
                    "name": "symfony/polyfill",
                    "url": "https://github.com/symfony/polyfill"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "Symfony\\Polyfill\\Mbstring\\": ""
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill for the Mbstring extension",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "mbstring",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-mbstring/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/polyfill-mbstring"
        },
        {
            "name": "symfony/polyfill-php72",
            "version": "v1.31.0",
            "version_normalized": "1.31.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/polyfill-php72.git",
                "reference": "fa2ae56c44f03bed91a39bfc9822e31e7c5c38ce"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/polyfill-php72/zipball/fa2ae56c44f03bed91a39bfc9822e31e7c5c38ce",
                "reference": "fa2ae56c44f03bed91a39bfc9822e31e7c5c38ce",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "time": "2024-09-09T11:45:10+00:00",
            "type": "metapackage",
            "extra": {
                "thanks": {
                    "url": "https://github.com/symfony/polyfill",
                    "name": "symfony/polyfill"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Symfony polyfill backporting some PHP 7.2+ features to lower PHP versions",
            "homepage": "https://symfony.com",
            "keywords": [
                "compatibility",
                "polyfill",
                "portable",
                "shim"
            ],
            "support": {
                "source": "https://github.com/symfony/polyfill-php72/tree/v1.31.0"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": null
        },
        {
            "name": "symfony/var-dumper",
            "version": "v6.0.19",
            "version_normalized": "6.0.19.0",
            "source": {
                "type": "git",
                "url": "https://github.com/symfony/var-dumper.git",
                "reference": "eb980457fa6899840fe1687e8627a03a7d8a3d52"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/symfony/var-dumper/zipball/eb980457fa6899840fe1687e8627a03a7d8a3d52",
                "reference": "eb980457fa6899840fe1687e8627a03a7d8a3d52",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.2",
                "symfony/polyfill-mbstring": "~1.0"
            },
            "conflict": {
                "phpunit/phpunit": "<5.4.3",
                "symfony/console": "<5.4"
            },
            "require-dev": {
                "ext-iconv": "*",
                "symfony/console": "^5.4|^6.0",
                "symfony/process": "^5.4|^6.0",
                "symfony/uid": "^5.4|^6.0",
                "twig/twig": "^2.13|^3.0.4"
            },
            "suggest": {
                "ext-iconv": "To convert non-UTF-8 strings to UTF-8 (or symfony/polyfill-iconv in case ext-iconv cannot be used).",
                "ext-intl": "To show region name in time zone dump",
                "symfony/console": "To use the ServerDumpCommand and/or the bin/var-dump-server script"
            },
            "time": "2023-01-20T17:44:14+00:00",
            "bin": [
                "Resources/bin/var-dump-server"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "Resources/functions/dump.php"
                ],
                "psr-4": {
                    "Symfony\\Component\\VarDumper\\": ""
                },
                "exclude-from-classmap": [
                    "/Tests/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "Provides mechanisms for walking through any arbitrary PHP variable",
            "homepage": "https://symfony.com",
            "keywords": [
                "debug",
                "dump"
            ],
            "support": {
                "source": "https://github.com/symfony/var-dumper/tree/v6.0.19"
            },
            "funding": [
                {
                    "url": "https://symfony.com/sponsor",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/fabpot",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/symfony/symfony",
                    "type": "tidelift"
                }
            ],
            "install-path": "../symfony/var-dumper"
        },
        {
            "name": "topthink/framework",
            "version": "v8.1.1",
            "version_normalized": "8.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/framework.git",
                "reference": "d301115ea77f33745b8d6659c74740c34fe53e9b"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/framework/zipball/d301115ea77f33745b8d6659c74740c34fe53e9b",
                "reference": "d301115ea77f33745b8d6659c74740c34fe53e9b",
                "shasum": ""
            },
            "require": {
                "ext-ctype": "*",
                "ext-json": "*",
                "ext-mbstring": "*",
                "php": ">=8.0.0",
                "psr/container": "^2.0",
                "psr/http-message": "^1.0",
                "psr/log": "^1.0|^2.0|^3.0",
                "psr/simple-cache": "^1.0|^2.0|^3.0",
                "topthink/think-helper": "^3.1",
                "topthink/think-orm": "^3.0|^4.0"
            },
            "require-dev": {
                "guzzlehttp/psr7": "^2.1.0",
                "mikey179/vfsstream": "^1.6",
                "mockery/mockery": "^1.2",
                "phpunit/phpunit": "^9.5"
            },
            "time": "2024-11-26T05:57:55+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [],
                "psr-4": {
                    "think\\": "src/think/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                },
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP Framework.",
            "homepage": "http://thinkphp.cn/",
            "keywords": [
                "framework",
                "orm",
                "thinkphp"
            ],
            "support": {
                "issues": "https://github.com/top-think/framework/issues",
                "source": "https://github.com/top-think/framework/tree/v8.1.1"
            },
            "install-path": "../topthink/framework"
        },
        {
            "name": "topthink/think-captcha",
            "version": "v3.0.11",
            "version_normalized": "3.0.11.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-captcha.git",
                "reference": "4f24f560a31011329e3d144732e5370d7676b3fb"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-captcha/zipball/4f24f560a31011329e3d144732e5370d7676b3fb",
                "reference": "4f24f560a31011329e3d144732e5370d7676b3fb",
                "shasum": ""
            },
            "require": {
                "topthink/framework": "^6.0|^8.0"
            },
            "time": "2024-11-22T12:59:35+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\captcha\\CaptchaService"
                    ],
                    "config": {
                        "captcha": "src/config.php"
                    }
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/helper.php"
                ],
                "psr-4": {
                    "think\\captcha\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "captcha package for thinkphp",
            "support": {
                "issues": "https://github.com/top-think/think-captcha/issues",
                "source": "https://github.com/top-think/think-captcha/tree/v3.0.11"
            },
            "install-path": "../topthink/think-captcha"
        },
        {
            "name": "topthink/think-filesystem",
            "version": "v2.0.3",
            "version_normalized": "2.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-filesystem.git",
                "reference": "e8e51adb9f3a3f3aac2aa3ef73b7b439100f777d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-filesystem/zipball/e8e51adb9f3a3f3aac2aa3ef73b7b439100f777d",
                "reference": "e8e51adb9f3a3f3aac2aa3ef73b7b439100f777d",
                "shasum": ""
            },
            "require": {
                "league/flysystem": "^1.1.4",
                "league/flysystem-cached-adapter": "^1.0",
                "php": ">=7.2.5",
                "topthink/framework": "^6.1|^8.0"
            },
            "require-dev": {
                "mikey179/vfsstream": "^1.6",
                "mockery/mockery": "^1.2",
                "phpunit/phpunit": "^8.0"
            },
            "time": "2024-10-16T03:37:24+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP6.1 Filesystem Package",
            "support": {
                "issues": "https://github.com/top-think/think-filesystem/issues",
                "source": "https://github.com/top-think/think-filesystem/tree/v2.0.3"
            },
            "install-path": "../topthink/think-filesystem"
        },
        {
            "name": "topthink/think-helper",
            "version": "v3.1.10",
            "version_normalized": "3.1.10.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-helper.git",
                "reference": "ac66cc0859a12cd5d73258f50f338aadc95e9b46"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-helper/zipball/ac66cc0859a12cd5d73258f50f338aadc95e9b46",
                "reference": "ac66cc0859a12cd5d73258f50f338aadc95e9b46",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.5"
            },
            "time": "2024-11-21T01:47:51+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/helper.php"
                ],
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "yunwuxin",
                    "email": "448901948@qq.com"
                }
            ],
            "description": "The ThinkPHP6 Helper Package",
            "support": {
                "issues": "https://github.com/top-think/think-helper/issues",
                "source": "https://github.com/top-think/think-helper/tree/v3.1.10"
            },
            "install-path": "../topthink/think-helper"
        },
        {
            "name": "topthink/think-multi-app",
            "version": "v1.1.1",
            "version_normalized": "1.1.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-multi-app.git",
                "reference": "f93c604d5cfac2b613756273224ee2f88e457b88"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-multi-app/zipball/f93c604d5cfac2b613756273224ee2f88e457b88",
                "reference": "f93c604d5cfac2b613756273224ee2f88e457b88",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0",
                "topthink/framework": "^6.0|^8.0"
            },
            "time": "2024-11-25T08:52:44+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\app\\Service"
                    ]
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\app\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "thinkphp multi app support",
            "support": {
                "issues": "https://github.com/top-think/think-multi-app/issues",
                "source": "https://github.com/top-think/think-multi-app/tree/v1.1.1"
            },
            "install-path": "../topthink/think-multi-app"
        },
        {
            "name": "topthink/think-orm",
            "version": "v3.0.34",
            "version_normalized": "3.0.34.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-orm.git",
                "reference": "715e55da149fe32a12d68ef10e5b00e70bd3dbec"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-orm/zipball/715e55da149fe32a12d68ef10e5b00e70bd3dbec",
                "reference": "715e55da149fe32a12d68ef10e5b00e70bd3dbec",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "ext-json": "*",
                "ext-pdo": "*",
                "php": ">=8.0.0",
                "psr/log": ">=1.0",
                "psr/simple-cache": ">=1.0",
                "topthink/think-helper": "^3.1"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.6|^10"
            },
            "suggest": {
                "ext-mongodb": "provide mongodb support"
            },
            "time": "2025-01-14T06:03:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "stubs/load_stubs.php"
                ],
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "the PHP Database&ORM Framework",
            "keywords": [
                "database",
                "orm"
            ],
            "support": {
                "issues": "https://github.com/top-think/think-orm/issues",
                "source": "https://github.com/top-think/think-orm/tree/v3.0.34"
            },
            "install-path": "../topthink/think-orm"
        },
        {
            "name": "topthink/think-template",
            "version": "v3.0.2",
            "version_normalized": "3.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-template.git",
                "reference": "0b88bd449f0f7626dd75b05f557c8bc208c08b0c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-template/zipball/0b88bd449f0f7626dd75b05f557c8bc208c08b0c",
                "reference": "0b88bd449f0f7626dd75b05f557c8bc208c08b0c",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0",
                "psr/simple-cache": ">=1.0"
            },
            "time": "2024-10-16T03:41:06+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "the php template engine",
            "support": {
                "issues": "https://github.com/top-think/think-template/issues",
                "source": "https://github.com/top-think/think-template/tree/v3.0.2"
            },
            "install-path": "../topthink/think-template"
        },
        {
            "name": "topthink/think-trace",
            "version": "v1.6",
            "version_normalized": "1.6.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-trace.git",
                "reference": "136cd5d97e8bdb780e4b5c1637c588ed7ca3e142"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-trace/zipball/136cd5d97e8bdb780e4b5c1637c588ed7ca3e142",
                "reference": "136cd5d97e8bdb780e4b5c1637c588ed7ca3e142",
                "shasum": ""
            },
            "require": {
                "php": ">=7.1.0",
                "topthink/framework": "^6.0|^8.0"
            },
            "time": "2023-02-07T08:36:32+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\trace\\Service"
                    ],
                    "config": {
                        "trace": "src/config.php"
                    }
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\trace\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "thinkphp debug trace",
            "support": {
                "issues": "https://github.com/top-think/think-trace/issues",
                "source": "https://github.com/top-think/think-trace/tree/v1.6"
            },
            "install-path": "../topthink/think-trace"
        },
        {
            "name": "topthink/think-view",
            "version": "v2.0.4",
            "version_normalized": "2.0.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-view.git",
                "reference": "e6a68e4179baf8d795700d62b710da86d7c3f783"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-view/zipball/e6a68e4179baf8d795700d62b710da86d7c3f783",
                "reference": "e6a68e4179baf8d795700d62b710da86d7c3f783",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0",
                "topthink/think-template": "^3.0"
            },
            "time": "2025-01-10T08:49:57+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\view\\driver\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "thinkphp template driver",
            "support": {
                "issues": "https://github.com/top-think/think-view/issues",
                "source": "https://github.com/top-think/think-view/tree/v2.0.4"
            },
            "install-path": "../topthink/think-view"
        },
        {
            "name": "topthink/think-worker",
            "version": "v4.0.0",
            "version_normalized": "4.0.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/top-think/think-worker.git",
                "reference": "2bd716582c912075e38036f896a2b45e64bf858d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/top-think/think-worker/zipball/2bd716582c912075e38036f896a2b45e64bf858d",
                "reference": "2bd716582c912075e38036f896a2b45e64bf858d",
                "shasum": ""
            },
            "require": {
                "ext-fileinfo": "*",
                "topthink/framework": "^8.0",
                "workerman/gateway-worker": "^3.0.0",
                "workerman/workerman": "^3.5.23"
            },
            "time": "2023-07-20T08:50:45+00:00",
            "type": "library",
            "extra": {
                "think": {
                    "services": [
                        "think\\worker\\Service"
                    ],
                    "config": {
                        "worker": "src/config/worker.php",
                        "worker_server": "src/config/server.php",
                        "gateway_worker": "src/config/gateway.php"
                    }
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "think\\worker\\": "src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "authors": [
                {
                    "name": "liu21st",
                    "email": "liu21st@gmail.com"
                }
            ],
            "description": "workerman extend for thinkphp6.0",
            "support": {
                "issues": "https://github.com/top-think/think-worker/issues",
                "source": "https://github.com/top-think/think-worker/tree/v4.0.0"
            },
            "install-path": "../topthink/think-worker"
        },
        {
            "name": "voku/anti-xss",
            "version": "4.1.42",
            "version_normalized": "4.1.42.0",
            "source": {
                "type": "git",
                "url": "https://github.com/voku/anti-xss.git",
                "reference": "bca1f8607e55a3c5077483615cd93bd8f11bd675"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/voku/anti-xss/zipball/bca1f8607e55a3c5077483615cd93bd8f11bd675",
                "reference": "bca1f8607e55a3c5077483615cd93bd8f11bd675",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0.0",
                "voku/portable-utf8": "~6.0.2"
            },
            "require-dev": {
                "phpunit/phpunit": "~6.0 || ~7.0 || ~9.0"
            },
            "time": "2023-07-03T14:40:46+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "4.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "voku\\helper\\": "src/voku/helper/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "EllisLab Dev Team",
                    "homepage": "http://ellislab.com/"
                },
                {
                    "name": "Lars Moelleken",
                    "email": "lars@moelleken.org",
                    "homepage": "https://www.moelleken.org/"
                }
            ],
            "description": "anti xss-library",
            "homepage": "https://github.com/voku/anti-xss",
            "keywords": [
                "anti-xss",
                "clean",
                "security",
                "xss"
            ],
            "support": {
                "issues": "https://github.com/voku/anti-xss/issues",
                "source": "https://github.com/voku/anti-xss/tree/4.1.42"
            },
            "funding": [
                {
                    "url": "https://www.paypal.me/moelleken",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/voku",
                    "type": "github"
                },
                {
                    "url": "https://opencollective.com/anti-xss",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/voku",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/voku/anti-xss",
                    "type": "tidelift"
                }
            ],
            "install-path": "../voku/anti-xss"
        },
        {
            "name": "voku/portable-ascii",
            "version": "2.0.3",
            "version_normalized": "2.0.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/voku/portable-ascii.git",
                "reference": "b1d923f88091c6bf09699efcd7c8a1b1bfd7351d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/voku/portable-ascii/zipball/b1d923f88091c6bf09699efcd7c8a1b1bfd7351d",
                "reference": "b1d923f88091c6bf09699efcd7c8a1b1bfd7351d",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0.0"
            },
            "require-dev": {
                "phpunit/phpunit": "~6.0 || ~7.0 || ~9.0"
            },
            "suggest": {
                "ext-intl": "Use Intl for transliterator_transliterate() support"
            },
            "time": "2024-11-21T01:49:47+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "voku\\": "src/voku/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Lars Moelleken",
                    "homepage": "https://www.moelleken.org/"
                }
            ],
            "description": "Portable ASCII library - performance optimized (ascii) string functions for php.",
            "homepage": "https://github.com/voku/portable-ascii",
            "keywords": [
                "ascii",
                "clean",
                "php"
            ],
            "support": {
                "issues": "https://github.com/voku/portable-ascii/issues",
                "source": "https://github.com/voku/portable-ascii/tree/2.0.3"
            },
            "funding": [
                {
                    "url": "https://www.paypal.me/moelleken",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/voku",
                    "type": "github"
                },
                {
                    "url": "https://opencollective.com/portable-ascii",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/voku",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/voku/portable-ascii",
                    "type": "tidelift"
                }
            ],
            "install-path": "../voku/portable-ascii"
        },
        {
            "name": "voku/portable-utf8",
            "version": "6.0.13",
            "version_normalized": "6.0.13.0",
            "source": {
                "type": "git",
                "url": "https://github.com/voku/portable-utf8.git",
                "reference": "b8ce36bf26593e5c2e81b1850ef0ffb299d2043f"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/voku/portable-utf8/zipball/b8ce36bf26593e5c2e81b1850ef0ffb299d2043f",
                "reference": "b8ce36bf26593e5c2e81b1850ef0ffb299d2043f",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0.0",
                "symfony/polyfill-iconv": "~1.0",
                "symfony/polyfill-intl-grapheme": "~1.0",
                "symfony/polyfill-intl-normalizer": "~1.0",
                "symfony/polyfill-mbstring": "~1.0",
                "symfony/polyfill-php72": "~1.0",
                "voku/portable-ascii": "~2.0.0"
            },
            "require-dev": {
                "phpstan/phpstan": "1.9.*@dev",
                "phpstan/phpstan-strict-rules": "1.4.*@dev",
                "phpunit/phpunit": "~6.0 || ~7.0 || ~9.0",
                "thecodingmachine/phpstan-strict-rules": "1.0.*@dev",
                "voku/phpstan-rules": "3.1.*@dev"
            },
            "suggest": {
                "ext-ctype": "Use Ctype for e.g. hexadecimal digit detection",
                "ext-fileinfo": "Use Fileinfo for better binary file detection",
                "ext-iconv": "Use iconv for best performance",
                "ext-intl": "Use Intl for best performance",
                "ext-json": "Use JSON for string detection",
                "ext-mbstring": "Use Mbstring for best performance"
            },
            "time": "2023-03-08T08:35:38+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ],
                "psr-4": {
                    "voku\\": "src/voku/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "(Apache-2.0 or GPL-2.0)"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Hamid Sarfraz",
                    "homepage": "http://pageconfig.com/"
                },
                {
                    "name": "Lars Moelleken",
                    "homepage": "http://www.moelleken.org/"
                }
            ],
            "description": "Portable UTF-8 library - performance optimized (unicode) string functions for php.",
            "homepage": "https://github.com/voku/portable-utf8",
            "keywords": [
                "UTF",
                "clean",
                "php",
                "unicode",
                "utf-8",
                "utf8"
            ],
            "support": {
                "issues": "https://github.com/voku/portable-utf8/issues",
                "source": "https://github.com/voku/portable-utf8/tree/6.0.13"
            },
            "funding": [
                {
                    "url": "https://www.paypal.me/moelleken",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/voku",
                    "type": "github"
                },
                {
                    "url": "https://opencollective.com/portable-utf8",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/voku",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/voku/portable-utf8",
                    "type": "tidelift"
                }
            ],
            "install-path": "../voku/portable-utf8"
        },
        {
            "name": "workerman/gateway-worker",
            "version": "v3.0.22",
            "version_normalized": "3.0.22.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/GatewayWorker.git",
                "reference": "a615036c482d11f68b693998575e804752ef9068"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/GatewayWorker/zipball/a615036c482d11f68b693998575e804752ef9068",
                "reference": "a615036c482d11f68b693998575e804752ef9068",
                "shasum": ""
            },
            "require": {
                "workerman/workerman": ">=3.5.0"
            },
            "time": "2021-12-23T13:13:09+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GatewayWorker\\": "./src"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "homepage": "http://www.workerman.net",
            "keywords": [
                "communication",
                "distributed"
            ],
            "support": {
                "issues": "https://github.com/walkor/GatewayWorker/issues",
                "source": "https://github.com/walkor/GatewayWorker/tree/v3.0.22"
            },
            "funding": [
                {
                    "url": "https://opencollective.com/walkor",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/walkor",
                    "type": "patreon"
                }
            ],
            "install-path": "../workerman/gateway-worker"
        },
        {
            "name": "workerman/workerman",
            "version": "v3.5.34",
            "version_normalized": "3.5.34.0",
            "source": {
                "type": "git",
                "url": "https://github.com/walkor/workerman.git",
                "reference": "fe4fc5ecc44d0410a22214d9e8679e2fc3795f5a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/walkor/workerman/zipball/fe4fc5ecc44d0410a22214d9e8679e2fc3795f5a",
                "reference": "fe4fc5ecc44d0410a22214d9e8679e2fc3795f5a",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2022-12-16T02:47:08+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Workerman\\": "./"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "http://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "An asynchronous event driven PHP framework for easily building fast, scalable network applications.",
            "homepage": "http://www.workerman.net",
            "keywords": [
                "asynchronous",
                "event-loop"
            ],
            "support": {
                "email": "walkor@workerman.net",
                "forum": "http://wenda.workerman.net/",
                "issues": "https://github.com/walkor/workerman/issues",
                "source": "https://github.com/walkor/workerman",
                "wiki": "http://doc.workerman.net/"
            },
            "funding": [
                {
                    "url": "https://opencollective.com/workerman",
                    "type": "open_collective"
                },
                {
                    "url": "https://www.patreon.com/walkor",
                    "type": "patreon"
                }
            ],
            "install-path": "../workerman/workerman"
        },
        {
            "name": "yzh52521/easyhttp",
            "version": "v1.1.3",
            "version_normalized": "1.1.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/yuanzhihai/easyhttp.git",
                "reference": "02bcf47eaf723520fa3905d0e6f1852168fe646c"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/yuanzhihai/easyhttp/zipball/02bcf47eaf723520fa3905d0e6f1852168fe646c",
                "reference": "02bcf47eaf723520fa3905d0e6f1852168fe646c",
                "shasum": ""
            },
            "require": {
                "guzzlehttp/guzzle": "^6.0|^7.0",
                "php": ">=7.2.5",
                "psr/log": "^1.0|^2.0|^3.0"
            },
            "time": "2023-11-14T05:49:02+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "yzh52521\\EasyHttp\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "yzh52521",
                    "email": "396751927@qq.com"
                }
            ],
            "description": "EasyHttp 是一个轻量级、语义化、对IDE友好的HTTP客户端，支持常见的HTTP请求、异步请求和并发请求，让你可以快速地使用 HTTP 请求与其他 Web 应用进行通信。",
            "homepage": "https://github.com/yzh52521/easyhttp",
            "keywords": [
                "EasyHttp",
                "curl",
                "easy-http",
                "http",
                "php",
                "php-http",
                "phphttp"
            ],
            "support": {
                "issues": "https://github.com/yuanzhihai/easyhttp/issues",
                "source": "https://github.com/yuanzhihai/easyhttp/tree/v1.1.3"
            },
            "install-path": "../yzh52521/easyhttp"
        },
        {
            "name": "zjkal/time-helper",
            "version": "v1.1.12",
            "version_normalized": "1.1.12.0",
            "source": {
                "type": "git",
                "url": "https://github.com/zjkal/time-helper.git",
                "reference": "d9718a69e3ce8c21d28cc377c215356c24c4a2de"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/zjkal/time-helper/zipball/d9718a69e3ce8c21d28cc377c215356c24c4a2de",
                "reference": "d9718a69e3ce8c21d28cc377c215356c24c4a2de",
                "shasum": "",
                "mirrors": [
                    {
                        "url": "https://mirrors.aliyun.com/composer/dists/%package%/%reference%.%type%",
                        "preferred": true
                    }
                ]
            },
            "require": {
                "php": ">=7.1"
            },
            "require-dev": {
                "phpunit/phpunit": "@stable"
            },
            "time": "2025-01-23T04:13:04+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "zjkal\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "zjkal",
                    "email": "zjkal@qq.com"
                }
            ],
            "description": "一个简单快捷的PHP日期时间助手类库。 a smart PHP datetime helper library.",
            "keywords": [
                "date",
                "datetime",
                "helper",
                "php",
                "time",
                "zjkal"
            ],
            "support": {
                "issues": "https://github.com/zjkal/time-helper/issues",
                "source": "https://github.com/zjkal/time-helper/tree/v1.1.12"
            },
            "install-path": "../zjkal/time-helper"
        }
    ],
    "dev": true,
    "dev-package-names": [
        "symfony/var-dumper",
        "topthink/think-trace"
    ]
}
